/**
 * 
 */
package isen.java2.library;

import java.util.Arrays;
import java.util.Collections;
import java.util.HashSet;
import java.util.LinkedList;
import java.util.List;

import isen.java2.library.exceptions.ItemAlreadyBorrowedException;
import isen.java2.library.exceptions.ItemNotFoundException;
import isen.java2.library.model.Book;
import isen.java2.library.model.Movie;
import isen.java2.library.model.Genre;

/**
 * @author Philippe Duval
 *
 */
public final class Application {

	/**
	 * Private constructor to hide it and prevent this class from being instantiated
	 */
	private Application() {
	}

	/**
	 * Our main entrypoint
	 * @param args
	 */
	public static void main(String[] args) {
		
		// Note that there is nothing here anymore. We don't use the main method for test purposes!
		
	}

}
